%define realname automake
%define dialect _1.4
%define suff -1.4

Name: %realname%dialect
Version: 1.4
%define patchlevel p5
Release: alt7.%patchlevel
Serial: 1

%set_compress_method gzip

Summary: A GNU tool for automatically creating Makefiles
License: GPL
Group: Development/Other
Url: http://sourceware.cygnus.com/%realname/
Packager: Automake Development Team <automake@packages.altlinux.org>
BuildArch: noarch

%define srcname %realname-%version-%patchlevel
Source: ftp://ftp.gnu.org/gnu/%realname/%srcname.tar.bz2
Source1: %name.buildreq

Patch1: %realname-1.4-armnetwinder.patch
Patch2: %realname-1.4-copytosourcedir.patch
Patch3: %realname-1.4-p5-lispfix.patch
Patch4: %realname-1.4-p5-lexfix.patch
Patch5: %realname-1.4-subdir.patch
Patch6: %realname-1.4-backslash.patch
Patch7: %realname-1.4-alt-datadir.patch
Patch8: %realname-1.4-alt-texinfo.patch

Provides: %realname = %serial:%version-%release
Obsoletes: %realname
PreReq: %__install_info, /usr/sbin/update-alternatives, automake-common

Prefix: %prefix

%description
Automake is a tool for automatically generating Makefiles compliant with the
GNU Coding Standards.

You should install Automake if you are developing software and would like to
use its capabilities of automatically generating GNU standard Makefiles. If you
install Automake, you will also need to install GNU's Autoconf package.

%prep
%setup -q -n %srcname
#%patch1 -p1
#%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
%configure --program-suffix=%suff
%make_build MAKEINFO='makeinfo --no-split'

%install
%makeinstall MAKEINFO='makeinfo --no-split'
%__install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/buildreqs/files/ignore.d/%name
#%__rm -fv $RPM_BUILD_ROOT%_datadir/%realname*/[[:upper:]]*
%__mv $RPM_BUILD_ROOT%_datadir/%realname $RPM_BUILD_ROOT%_datadir/%realname%suff
%__mv $RPM_BUILD_ROOT%_datadir/aclocal $RPM_BUILD_ROOT%_datadir/aclocal%suff
%__install -p -m644 %realname%suff.info $RPM_BUILD_ROOT%_infodir/

%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/buildreqs/packages/substitute.d
echo %realname >$RPM_BUILD_ROOT%_sysconfdir/buildreqs/packages/substitute.d/%name

%post
%install_info %realname%suff.info
/usr/sbin/update-alternatives --install %_bindir/%realname-default %realname %_bindir/%realname%suff 20 \
	--slave %_bindir/aclocal-default aclocal %_bindir/aclocal%suff \
	--slave %_datadir/%realname %{realname}data %_datadir/%realname%suff \
	--slave %_infodir/%realname.info.gz %realname.info.gz %_infodir/%realname%suff.info.gz

if ! %__grep -Fqs '(automake)' %_infodir/dir; then
	%__install_info \
		--info-file=%_infodir/%realname.info \
		--info-dir=%_infodir \
		--section=Development/Other \
		--entry="* automake: (automake).		Making Makefile.in's" \
		--entry="* aclocal: (automake)Invoking aclocal.		Generating aclocal.m4"
fi

%preun
[ $1 = 0 ] || exit 0
%uninstall_info %realname%suff.info
/usr/sbin/update-alternatives --remove %realname %_bindir/%realname%suff
if [ ! -e %_infodir/%realname.info.gz ]; then
	%__install_info \
		--delete \
		--info-file=%_infodir/%realname.info \
		--info-dir=%_infodir
fi

%triggerpostun -- %realname, %name < 1:1.4-alt6.p5
/usr/sbin/update-alternatives --install %_bindir/%realname-default %realname %_bindir/%realname%suff 20 \
	--slave %_bindir/aclocal-default aclocal %_bindir/aclocal%suff \
	--slave %_datadir/%realname %{realname}data %_datadir/%realname%suff \
	--slave %_infodir/%realname.info.gz %realname.info.gz %_infodir/%realname%suff.info.gz

if ! %__grep -Fqs '(automake)' %_infodir/dir; then
	%__install_info \
		--info-file=%_infodir/%realname.info \
		--info-dir=%_infodir \
		--section=Development/Other \
		--entry="* automake: (automake).		Making Makefile.in's" \
		--entry="* aclocal: (automake)Invoking aclocal.		Generating aclocal.m4"
fi

%files
%config %_sysconfdir/buildreqs/packages/substitute.d/%name
%config %_sysconfdir/buildreqs/files/ignore.d/*
%_bindir/*
%_datadir/aclocal%suff
%_datadir/%realname%suff
%_infodir/*.info*
%doc AUTHORS ChangeLog NEWS README THANKS TODO

%changelog
* Mon Oct 28 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.4-alt7.p5
- Added automake-common support.

* Wed May 29 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.4-alt6.p5
- Added buildreq substitution rules.
- Fixed %%preun (added one more trigger to fix old package).

* Sat May 18 2002 Alexey Voinov <voins@altlinux.ru> 1:1.4-alt5.p5
- Renamed to automake_1.4
- Added update-alternatives support.

* Tue Jan 22 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.4-alt4.p5
- Added aclocal filter for buildreq.

* Wed Sep 19 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.4-alt3.p5
- Dont raise error when there is source in a subdirectory (hjl, rh #35156).
  This was preventing automake from working in binutuls/gas
  [patch from HJ Lu <hjl@gnu.org>]
- Format long lines of output properly with backslash + newlines as in 1.4
  (hjl, rh #35259)

* Mon Aug 20 2001 Sergey Vlasov <vsu@altlinux.ru> 1.4-alt2.p5
- Bugfix for Elisp file installation.
- Bugfix for lex file handling.

* Tue Jul 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.4-alt1.p5
- 1.4-p5

* Mon Jun 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.4-alt1.p4
- 1.4-p4

* Sat Jun 09 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.4-ipl16mdk
- 1.4-p3

* Tue May 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.4-ipl15mdk
- 1.4-p2

* Fri May 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.4-ipl14mdk
- 1.4-p1

* Sun May 06 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.4-ipl13mdk
- Updated vendor information.

* Thu Oct 05 2000 Dmitry V. Levin <ldv@fandra.org> 1.4-ipl12mdk
- Merge RH patch.

* Wed Jul 19 2000 Dmitry V. Levin <ldv@fandra.org> 1.4-ipl11mdk
- RE and Fandra adaptions.

* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4-8mdk
- new groups

* Wed Oct 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with Jeff package.

* Tue Jun 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.4 version.
- Merging with RedHat patch.

* Thu May 13 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- 1.4a

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- arm netwinder patch

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb  8 1999 Jeff Johnson <jbj@redhat.com>
- add patches from CVS for 6.0beta1

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.4.

* Mon Nov 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.3b.
- add URL.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Erik Troan <ewt@redhat.com>
- updated to 1.3

* Tue Oct 28 1997 Cristian Gafton <gafton@redhat.com>
- added BuildRoot; added aclocal files

* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>
- made it a noarch package

* Thu Oct 16 1997 Michael Fulbright <msf@redhat.com>
- Fixed some tag lines to conform to 5.0 guidelines.

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- updated to 1.2

* Wed Mar 5 1997 msf@redhat.com <Michael Fulbright>
- first version (1.0)
